<form *ngIf='recipeForm' [formGroup]="recipeForm" class="form-container">
  <ng-container [formGroup]="recipeForm?.get('attributes')">
    <ng-miam-text-input class="m-title-text-input" ngDefaultControl [formControl]="recipeForm?.get('attributes')?.get('title')" placeholder="Titre de la recette"></ng-miam-text-input>
    <div class="row-container">
      <div class="input-container">
        <ng-miam-drag-drop-input ngDefaultControl buttonText='Ajouter une photo'  [formControl]="recipeForm?.get('attributes')?.get('media-url')"
          [imageUrl]="recipeForm?.get('attributes')?.get('media-url')?.value" [photoMode]='true'>
        </ng-miam-drag-drop-input>
        <div class="recipe-form__guests m-default-card">
          <span class="recipe-form__guests__label">Nombre de convives</span>
          <ng-miam-counter-input ngDefaultControl formControlName="number-of-guests"
            [formControl]="this.recipeForm.controls['attributes']['controls'][['number-of-guests']]"
            counter='4' minRange='0' maxRange='999'>
          </ng-miam-counter-input>
        </div>
      </div>
      <div class="recipe-form__attibutes">
        <ng-miam-select-input ngDefaultControl placeholder='Choisir un type' labelPath='attributes.name'
          [options]="recipeTypeService?.getTypes() | async" [formControl]="recipeForm?.get('recipe-type')">
        </ng-miam-select-input>
        <div class="recipe-form__attibutes__sliders">
          <div class="recipe-form__attibutes__slider">
            <ng-miam-slider ngDefaultControl [steps]="dificulties"
              [formControl]="recipeForm?.get('attributes')?.get('difficulty')" [icons]="iconsDificulties">
            </ng-miam-slider>
          </div>
        </div>
        <div *ngIf='recipeForm' class="recipe-form__attibutes__times">
          <ng-miam-time-picker ngDefaultControl title='Temps de préparation'
            [formControl]="recipeForm?.get('attributes')?.get('preparation-time')" [icon]='icon.Time'>
          </ng-miam-time-picker>
          <ng-miam-time-picker ngDefaultControl title='Temps de cuisson'
            [formControl]="recipeForm?.get('attributes')?.get('cooking-time')" [icon]='icon.Hot'></ng-miam-time-picker>
          <ng-miam-time-picker ngDefaultControl title='Temps de repos'
            [formControl]="recipeForm?.get('attributes')?.get('resting-time')" [icon]='icon.Wait'></ng-miam-time-picker>
          <ng-miam-time-picker ngDefaultControl title='Temps de préchauffage'
            [formControl]="recipeForm?.get('attributes')?.get('resting-time')" [icon]='icon.Preheat'>
          </ng-miam-time-picker>
        </div>
      </div>
    </div>
  </ng-container>
  <div class="row-container">
    <div class="input-container">
      <ng-miam-list-input  label="Ingrédients" ngDefaultControl (deleteId)="addToDeleteIngredientsList($event)" [ingredientMode]='true'
        [list]="recipeForm.get('ingredients')" formArrayName="ingredients" hint='ingrédients'>
      </ng-miam-list-input>
    </div>
    <div class="input-container">
      <ng-miam-list-input ngDefaultControl label="Étapes" formArrayName="steps" (deleteId)="addToDeleteStepsList($event)"
        [list]="recipeForm.get('steps')" hint='étapes'></ng-miam-list-input>
    </div>
    <div class="input-container" *ngIf="isAdmin">

      <ng-miam-select-input ngDefaultControl placeholder='Choisir un status' labelPath='attributes.name'
      [options]="statuses | async" [formControl]="recipeForm?.get('recipe-status')">
      </ng-miam-select-input>

      <ng-miam-select-input ngDefaultControl placeholder='Choisir un provider' labelPath='attributes.name'
      [options]="recipeProviderservice?.providerList | async"[formControl]="recipeForm?.get('recipe-provider')">
      </ng-miam-select-input>
      <textarea cdkTextareaAutosize cdkAutosizeMinRows="20" cdkAutosizeMaxRows="50" class="m-input"
        [formControl]="recipeForm?.get('attributes')?.get('description')"></textarea>
    </div>
  </div>

</form>
<div class='button-row'>
  <button class="m-button-secondary" (click)='cancel()'>Annuler</button>
  <button class="m-button-primary" (click)='submit()' [disabled]='recipeForm?.invalid || !recipeForm?.dirty || isSubmiting'>
    Enregistrer la recette
    </button>
</div>